Skip to main content
`Ctrl`+`K`

# VecWhichEqual

Creates an index set containing the indices where the vectors `Vec1` and `Vec2` have identical elements.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecWhichEqual(Vec Vec1, Vec Vec2, IS *S)

Collective

## Input Parameters

- Vec1 - the first vector to compare

- Vec2 - the second two vector to compare

## Output Parameter

- S - The index set containing the indices i where vec1[i] == vec2[i]

## Note

The two vectors must have the same parallel layout

## See Also

`Vec`

## Level

advanced

## Location

src/vec/vec/utils/projection.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages